<?php
	$params = array(
		array(
            "type" => "colorpicker",
            "heading" => esc_html__("Description Color",'wp-yellow-hats'),
            "param_name" => "description_color",
            "value" => "",
            "group" => esc_html__("Template", 'wp-yellow-hats'),
            "template" => array(
            	"cms_carousel--layout-teatimonial3.php",
            ),
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Navigation Horizontal Center", 'wp-yellow-hats'),
            "param_name" => "navigation_horizontal_center",
            "value" => array(
                "No" => "no",
                "Yes" => "yes"                
            ),
            "template" => array(
                "cms_carousel--layout-client3.php",
            ),
            "group" => esc_html__("Template", 'wp-yellow-hats'),
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Navigation Align", 'wp-yellow-hats'),
            "param_name" => "navigation_align",
            "value" => array(
                "Default" => "nav-default",
                "Top Right" => "nav-top-right"                
            ),
            "template" => array(
                "cms_carousel--layout-practice6.php",
                "cms_carousel--layout-client1.php",
                "cms_carousel--layout-client2.php",
                "cms_carousel--layout-client3.php",
            ),
            "group" => esc_html__("Template", 'wp-yellow-hats'),
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Navigation Position", 'wp-yellow-hats'),
            "param_name" => "nav_custom",
            "value" => array(
                "Default" => "nav-custom-df",
                "Top Right" => "nav-custom-tr",              
                "Bottom Right" => "nav-custom-br",              
            ),
            "template" => array(
                "cms_carousel--layout-teatimonial1.php",
                "cms_carousel--layout-teatimonial2.php",
            ),
            "group" => esc_html__("Template", 'wp-yellow-hats'),
        ),
        
	);

    vc_remove_param('cms_carousel','l_icon_type');
    vc_remove_param('cms_carousel','l_icon_fontawesome');
    vc_remove_param('cms_carousel','l_icon_openiconic');
    vc_remove_param('cms_carousel','l_icon_typicons');
    vc_remove_param('cms_carousel','l_icon_entypo');
    vc_remove_param('cms_carousel','l_icon_glyphicons');
    vc_remove_param('cms_carousel','l_icon_rticon');
    vc_remove_param('cms_carousel','l_icon_pe7stroke');
    vc_remove_param('cms_carousel','l_icon_pixelicons');
    vc_remove_param('cms_carousel','l_icon_linecons');

    vc_remove_param('cms_carousel','r_icon_type');
    vc_remove_param('cms_carousel','r_icon_type');
    vc_remove_param('cms_carousel','r_icon_fontawesome');
    vc_remove_param('cms_carousel','r_icon_openiconic');
    vc_remove_param('cms_carousel','r_icon_typicons');
    vc_remove_param('cms_carousel','r_icon_entypo');
    vc_remove_param('cms_carousel','r_icon_glyphicons');
    vc_remove_param('cms_carousel','r_icon_rticon');
    vc_remove_param('cms_carousel','r_icon_pe7stroke');
    vc_remove_param('cms_carousel','r_icon_pixelicons');
    vc_remove_param('cms_carousel','r_icon_linecons');

	vc_remove_param('cms_carousel','cms_template');
	$cms_template_attribute = array(
		'type' => 'cms_template_img',
	    'param_name' => 'cms_template',
	    "shortcode" => "cms_carousel",
	    "heading" => esc_html__("Shortcode Template",'wp-yellow-hats'),
	    "admin_label" => true,
	    "group" => esc_html__("Template", 'wp-yellow-hats'),
		);
	vc_add_param('cms_carousel',$cms_template_attribute);
?>